org.richfaces.webapp

## Class ResourceServlet

- java.lang.Object
- - org.richfaces.webapp.ResourceServlet

- All Implemented Interfaces:
    javax.servlet.Servlet

      public class ResourceServlet
      extends Object
      implements javax.servlet.Servlet

  Servlet which serves mapped resources that makes sure that resources can address relative resource links.

  ResourceServlet use prefix mapping, i.e. make sure it is not necessary to use suffixes or query parameters to address resources.

  This servlet is used together with default FacesServlet registered by application.

  For security reasons, the servlet handles just requests for JSF resources (context path starting with /javax.faces.resource/).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESOURCE_SERVLET_REQUEST_FLAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `javax.servlet.ServletConfig` | `getServletConfig()`
    `String` | `getServletInfo()`
    `void` | `init(javax.servlet.ServletConfig config)`
    `void` | `service(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESOURCE_SERVLET_REQUEST_FLAG

          public static final String RESOURCE_SERVLET_REQUEST_FLAG

  - ### Constructor Detail

    - #### ResourceServlet

          public ResourceServlet()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Throws:
        `javax.servlet.ServletException`

    - #### getServletConfig

          public javax.servlet.ServletConfig getServletConfig()

      Specified by:
        `getServletConfig` in interface `javax.servlet.Servlet`

    - #### getServletInfo

          public String getServletInfo()

      Specified by:
        `getServletInfo` in interface `javax.servlet.Servlet`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`

    - #### service

          public void service(javax.servlet.ServletRequest request,
                              javax.servlet.ServletResponse response)
                       throws javax.servlet.ServletException,
                              IOException

      Specified by:
        `service` in interface `javax.servlet.Servlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.